Bug 443161 - netfs starts before NetworkManager
netfs starts before NetworkManager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-18 17:37 EDT by Davide Moretti
Modified: 2008-04-28 00:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-28 00:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Moretti 2008-04-18 17:37:34 EDT
Description of problem:

netfs starts before NetworkManager, and network shares aren't mounted


How reproducible:
boot the system


Steps to Reproduce:
1. boot

Actual results:
...
starting other filesystems...
starting NetworkManager...
...


Expected results:
...
starting NetworkManager...
starting other filesystems...
...


Additional info:

A solution could be to add the following to /etc/rc.d/init.d/netfs

### BEGIN INIT INFO
# Provides: $remote_fs
# Required-Start: $network
# Required-Stop: $network
# Default-Start: 3 4 5
# Default-Stop: 0 1 2 6
### END INIT INFO

Or disable netfs by default and let NetworkManagerDispatcher do the work (and
enable it by default, now NetworkManagerDispatcher is not enabled by default).
Comment 1 Bill Nottingham 2008-04-18 23:25:42 EDT
The last of these seems most logical - we should just enable NMD by default.
Comment 2 Dan Williams 2008-04-20 11:05:13 EDT
I'm pretty sure NMD is enabled by default these days...  even though:

# chkconfig: - 98 02

there is:

# Default-Start:  3 4 5

does the LSB stuff now honor the chkconfig line too?
Comment 3 Davide Moretti 2008-04-20 17:32:35 EDT
I tried a fresh install of F9 Preview and NMD is enabled by default...

Upgrades on system that doesn't run NetworkManager, but the old network scripts,
will not get NetworkManager enabled but continue to use old method.

Perhaps adding to the release notes commands to switch from one method to the
other if one wants to use the new system wide NetworkManager feature (with NM
system boots faster)?

chkconfig network off
chkconfig netfs off
chkconfig NetworkManager on
chkconfig NetworkManagerDispatcher on

...or integrate the switcher in system-config-network...

maybe for F10.. :)

Comment 4 Bill Nottingham 2008-04-21 12:05:41 EDT
Yeah, it is enabled. It should probably be moved earlier than 98 though.
Comment 5 Dan Williams 2008-04-28 00:50:33 EDT
NMD is now a callout of NM and no longer a separate daemon, so the bug is fixed.
 svn3614 and later in koji.

Note You need to log in before you can comment on or make changes to this bug.